Commit c9b4a96e authored by Natanael Copa's avatar Natanael Copa

main/libmspack: security upgrade to 0.8_alpha

CVE-2018-18584, CVE-2018-18585, CVE-2018-18586

fixes #9665
parent 7d5f104f
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=libmspack
pkgver=0.7.1_alpha
pkgver=0.8_alpha
_ver=${pkgver/_/}
pkgrel=0
pkgdesc="Library for CAB and related files compression and decompression"
......@@ -17,6 +17,10 @@ source="https://www.cabextract.org.uk/libmspack/libmspack-$_ver.tar.gz"
_builddir="$srcdir"/libmspack-$_ver
# secfixes:
# 0.8_alpha-r0:
# - CVE-2018-18584
# - CVE-2018-18585
# - CVE-2018-18586
# 0.7.1_alpha-r0:
# - CVE-2018-14679
# - CVE-2018-14680
......@@ -57,4 +61,4 @@ package() {
make DESTDIR="$pkgdir" install || return 1
}
sha512sums="e903629a34c29099a261a108e4eb9cda485ab999bbc3383e3cd6a39715077d00b26a1c641b0f3df0eef60d2e15a7ef623379df0cfe25b99d4eda080529ffec7b libmspack-0.7.1alpha.tar.gz"
sha512sums="d178afc4d2eded204594c81af1c91be17d3be4f1a09829e08c103023aa7badc6b2595e9ec13cc7f77e3262d2cd874ed40ce6da01695c5c839682562740d2bf0a libmspack-0.8alpha.tar.gz"
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment